### Signal

# Peas ExtensionSet::extension-added

#### Declaration

    void
    extension_added (
      PeasExtensionSet* self,
      PeasPluginInfo* info,
      GObject* extension,
      gpointer user_data
    )

#### Description [src]

Emitted when a new extension has been added to the `PeasExtensionSet`.

It happens when a new plugin implementing the extension set’s extension type is loaded.

You should connect to this signal in order to set up the extensions when they are loaded. Note that this signal is not fired for extensions coming from plugins that were already loaded when the `PeasExtensionSet` instance was created. You should set those up by yourself.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`info`

  Type: `PeasPluginInfo`

  A `PeasPluginInfo`.

  The data is owned by the caller of the function.

`extension`

  Type: `GObject`

  A `PeasExtension`.

  The data is owned by the caller of the function.